Bug 441161 - won't boot; will won't boot; will
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-06 18:12 EDT by Andrew Overholt
Modified: 2008-11-26 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 10:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
smolt profile (3.94 KB, text/plain)
2008-04-06 18:12 EDT, Andrew Overholt
no flags Details
Xorg.0.log (77.62 KB, text/plain)
2008-06-04 20:44 EDT, Andrew Overholt
no flags Details
xorg.conf (1.42 KB, application/octet-stream)
2008-06-04 20:45 EDT, Andrew Overholt
no flags Details

  None (edit)
Description Andrew Overholt 2008-04-06 18:12:51 EDT
Description of problem: won't boot; will.

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
I've attached my smolt profile (which wouldn't send for some reason).  Let me
know if I can provide more information.
Comment 1 Andrew Overholt 2008-04-06 18:12:51 EDT
Created attachment 301442 [details]
smolt profile
Comment 2 John W. Linville 2008-04-17 13:52:03 EDT
Could you try a later kernel?


Do you have any wireless hardware?  I don't see any in your smolt profile.
Comment 3 Naveed Hasan 2008-05-27 13:50:03 EDT
This *may* be the same issue - https://bugzilla.redhat.com/show_bug.cgi?id=444694
Comment 4 Andrew Overholt 2008-06-04 16:02:24 EDT
Sorry for taking so long to get back on this one.  I have no wireless hardware
and all recent builds ( is the latest that works for me) fail to
boot.  What can I do to help track this down?
Comment 5 John W. Linville 2008-06-04 16:07:38 EDT
You may wish to go into more detail about "fail to boot" -- what is the last
thing you see on the monitor?
Comment 6 Andrew Overholt 2008-06-04 16:19:16 EDT
When I get home tonight, I will tell you :)
Comment 7 Andrew Overholt 2008-06-04 20:38:33 EDT
It turns out that the kernels newer than actually don't allow X to
start on my system.  If I try to boot without rhgb, I can get as far as runlevel
3.  startx after that locks up my system -- no response to keyboard input, no
keyboard LEDs toggling, requires hard power cycling it -- which I presume is the
same as what's happening when rhgb starts.  None of this occurs with

I'll attach my xorg.conf and Xorg.0.log which has some stuff in it about memory
Comment 8 Andrew Overholt 2008-06-04 20:44:35 EDT
Created attachment 308405 [details]
Comment 9 Andrew Overholt 2008-06-04 20:45:14 EDT
Created attachment 308406 [details]
Comment 10 Chuck Ebbert 2008-06-09 23:13:40 EDT
Try adding this to the kernel boot options in /etc/grub.conf:

Comment 11 Chuck Ebbert 2008-06-11 16:18:13 EDT
Does pci=rom work?
Comment 12 Andrew Overholt 2008-06-11 21:20:32 EDT
Sorry, I didn't get a chance to try it until just now.  Yes, pci=rom allows me
to get X started with  Thanks!
Comment 13 Bug Zapper 2008-11-26 05:25:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 14 Andrew Overholt 2008-11-26 10:08:13 EST
I'm no longer running Fedora 8 so let's close this.

Note You need to log in before you can comment on or make changes to this bug.